Help Needed: Error with wrangler deploy - workers.api.error.malformed_param [code: 10004]

I’m encountering an issue while deploying a project using Cloudflare Workers. I’m using the wrangler deploy command, but it’s throwing an error that I’m struggling to resolve. The error message is as follows:

workers.api.error.malformed_param: must specify either ‘script’ or ‘service’ [code: 10004]

I’ve reviewed my wrangler.toml file and my project configuration, but I can’t seem to identify what’s causing this issue. It seems like I need to specify either a ‘script’ or a ‘service’ in my deployment command, but I’m unsure how to correctly do this.

I’m using Wrangler version 3.22.4.

Has anyone else encountered this error? Any insights or suggestions on what might be going wrong and how to fix it would be greatly appreciated.

Thank you in advance for your help and support!